Last Comment Bug 1180522 - Fix timezone alias for Buenos Aires
: Fix timezone alias for Buenos Aires
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Internal Components (show other bugs)
: Trunk
: Unspecified Unspecified
-- normal (vote)
: 4.4
Assigned To: [:MakeMyDay]
:
:
Mentors:
Depends on:
Blocks: 1165396
  Show dependency treegraph
 
Reported: 2015-07-05 12:29 PDT by [:MakeMyDay]
Modified: 2015-07-16 05:16 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
FixTZAliasBuonesAires-V1.diff (4.89 KB, patch)
2015-07-05 12:33 PDT, [:MakeMyDay]
philipp: review+
Details | Diff | Splinter Review

Description User image [:MakeMyDay] 2015-07-05 12:29:20 PDT
Based on the analysis of bug 1165396, timezone alias for "Argentina Standard Time" resolves to "America/Buenos_Aires", while the zone definition only has only "America/Argentina/Buenos_Aires", which is also the correct tzid.
Comment 1 User image [:MakeMyDay] 2015-07-05 12:33:46 PDT
Created attachment 8629703 [details] [diff] [review]
FixTZAliasBuonesAires-V1.diff

This patch changes the aliasTo "America/Argentina/Buenos_Aires" and adds another alias for "America/Buenos_Aires".

Furthermore, a test is added to check consistency of aliases and zone definitions. Fot this I made the alias list available from the tz service.

The test passes, see http://ftp.mozilla.org/pub/mozilla.org/thunderbird/try-builds/makemyday@gmx-topmail.de-83c7e498986e/try-comm-central-win32/try-comm-central_xp-ix_test-xpcshell-bm110-tests1-windows-build1.txt.gz
Comment 2 User image Philipp Kewisch [:Fallen] 2015-07-07 12:08:43 PDT
Comment on attachment 8629703 [details] [diff] [review]
FixTZAliasBuonesAires-V1.diff

Review of attachment 8629703 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me, r=philipp

Just an idle thought I had while reviewing this, maybe we could generate zones.json at build time from the files in http://mxr.mozilla.org/comm-central/source/mozilla/intl/icu/source/data/misc/ specifically zoneinfo64.txt.

This way we could defer timezone updates to the Toolkit folks.
Comment 3 User image [:MakeMyDay] 2015-07-07 13:48:40 PDT
Bug 1181304 filed for the automated creation of zones.json
Comment 4 User image Philipp Kewisch [:Fallen] 2015-07-16 05:16:48 PDT
Pushed to comm-central changeset dc4ac52c50ca

Note You need to log in before you can comment on or make changes to this bug.